List trades
curl --request GET \
--url https://app.sure.am/api/v1/trades \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/trades"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"trades": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"name": "<string>",
"qty": 123,
"price": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"investment_activity_label": "<string>",
"security": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
}
}Trades
List trades
GET
/
api
/
v1
/
trades
List trades
Authorizations
API key for authentication. Generate one from your account settings.
Query Parameters
Page number (default: 1)
Items per page (default: 25, max: 100)
Filter by account ID
Filter by multiple account IDs
Filter trades from this date
Filter trades until this date
Was this page helpful?
⌘I